/**
 * ParticipationAuthorOriginator2.java
 *
 * File generated from the medication2::ParticipationAuthorOriginator2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationAuthorOriginator2.
 *
 */

@XmlType(name = "ParticipationAuthorOriginator")
@XmlEnum
@XmlRootElement(name = "ParticipationAuthorOriginator2")
public enum ParticipationAuthorOriginator2 {
	@XmlEnumValue("AUT")
	AUT("AUT");
	
	private final String value;

    ParticipationAuthorOriginator2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationAuthorOriginator2 fromValue(String v) {
        for (ParticipationAuthorOriginator2 c: ParticipationAuthorOriginator2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
